# HwIntroductionScreen [![pub package](https://img.shields.io/pub/v/hw_introduction_screen.svg)](https://pub.dartlang.org/packages/hw_introduction_screen)

Introduction screen allow you to have a screen at launcher for example, where you can explain your app.
This Widget is very customizable with a great design.

<img src="https://raw.githubusercontent.com/pratamaahady/hw_introduction_screen/master/demo/hw_introduction_screen_example.gif" width="270">

## Installation

You just need to add `hw_introduction_screen` as a [dependency in your pubspec.yaml file](https://flutter.io/using-packages/).

```yaml
dependencies:
  hw_introduction_screen: ^0.0.1
```

### Example
Simple intro screen

```dart
HwIntroductionScreen(
    onFinish: (){
        // do something
    },
    items: // this param is required
    [
        HwIntroductionItem(
            title: 'Introduction Title', // String
            caption: 'Introduction Caption', // String
            image: Image.asset('assets/images/image.jpg') // Widget
        ),
        HwIntroductionItem(
            title: 'Introduction Title 2', // String
            caption: 'Introduction Caption 2', // String
            image: Image.asset('assets/images/image_2.jpg') // Widget
        ),
    ]
); //Material App
```

### Parameters of HwIntroductionScreen widget

Many parameters can be used to customized Intro like you want !
This is all parameters you can add :

- This param si required, that will be display (`HwIntroductionItem`), by adding `items: [..]` parameter.
- Set a custom callback when done button is pressed, by adding `onFinish: () {}` parameter.
- Set a custom finish button (Widget), by adding `finishButton: Text('Done')`
- Set a color of finish button, by adding  `finishButtonColor: Color()`
- Set a custom skip button (Widget), by adding `skipButton: Text('Done')`
- Set a color of skip button, by adding  `skipButtonColor: Color()`
- Set a custom next button (Widget), by adding `skipButton: Text('Done')`
- Set a color of next button, by adding  `skipButtonColor: Color()`
- Set a color of active indicator, by adding `indicatorActiveColor: Color()`
- Set a color of unactive indicator, by adding `indicatorUnactiveColor: Color()`

### Parameters of HwIntroductionItem (each pages)

You can also provide many parameter to customize each pages :

- set title text, by adding `title: "Introduction Title"`
- set a color of title, by adding `titleColor: Color()`
- set a custom TextStyle of title, by adding `titleTextStyle: TextStyle()`
- set caption text, by adding `caption: "Introduction Captoin"`
- set a color of caption, by adding `captionColor: Color()`
- set a custom TextStyle of caption, by adding `captionTextStyle: TextStyle()`
- `image: Image.asset(...)` image of the page.
  - It's expecting a Widget, so if you want to pass a Video, Text, or anything else, you can.