import 'package:flutter/material.dart';
import 'package:hw_introduction_screen/src/HwIntroductionStyle.dart';

class HwIntroductionButton extends StatelessWidget {
  final Widget? child;
  final Color? color;
  final Function? onTap;
  final double? borderRadius;

  HwIntroductionButton({
    Key? key,
    this.child,
    this.color,
    this.borderRadius,
    this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {

    double buttonBorderRadius = borderRadius ?? HwIntroductionStyle.buttonBorderRadius;
    Color buttonColor = color ?? HwIntroductionStyle.activeColor;

    return InkWell(
        onTap: () {
          if (onTap != null) {
            onTap!();
          }
        },
        child: Container(
          width: HwIntroductionStyle().width(context),
          padding: EdgeInsets.symmetric(
            horizontal: 20,
            vertical: 15,
          ),
          decoration: BoxDecoration(
            color: buttonColor,
            borderRadius: BorderRadius.circular(buttonBorderRadius)
          ),
          child: child,
        ));
  }
}
