import 'package:flutter/material.dart';
import 'package:hw_introduction_screen/src/HwIntroductionStyle.dart';

class HwIntroductionItem extends StatelessWidget {
  final String? title;
  final Color? titleColor;
  final TextStyle? titleTextStyle;
  final String? caption;
  final Color? captionColor;
  final TextStyle? captionTextStyle;
  final Widget? image;

  HwIntroductionItem({
    this.title,
    this.titleColor,
    this.titleTextStyle,
    this.caption,
    this.captionColor,
    this.captionTextStyle,
    this.image,
  });

  @override
  Widget build(BuildContext context) {
    TextStyle titleTextStyleDefault = TextStyle(
      fontSize: 30,
      fontWeight: FontWeight.bold,
      height: 1.2,
      color: titleColor ?? HwIntroductionStyle.activeColor,
    );

    TextStyle captionTextStyleDefault = TextStyle(
      color: captionColor ?? HwIntroductionStyle.captionColor,
    );

    // Introduction Content
    return Container(
      height: HwIntroductionStyle().height(context) * .65,
      width: HwIntroductionStyle().width(context) * .7,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          image ?? Container(),

          // Title And Caption
          Container(
            child: Column(
              children: [
                // Title
                Text(
                  title ?? '',
                  textAlign: TextAlign.center,
                  style: titleTextStyle ?? titleTextStyleDefault,
                ),

                // Caption
                Text(
                  caption ?? '',
                  textAlign: TextAlign.center,
                  style: captionTextStyle ?? captionTextStyleDefault,
                ),
              ],
            ),
          )
        ],
      ),
    );
  }
}
